

# BatchDeleteDetector
<a name="API_iotevents-data_BatchDeleteDetector"></a>

**Important**  
End of support notice: On May 20,2026, Amazon will end support for Amazon IoT Events. After May 20,2026, you will no longer be able to access the Amazon IoT Events console or Amazon IoT Events resources. For more information, see [Amazon IoT Events end of support](https://docs.amazonaws.cn/iotevents/latest/developerguide/iotevents-end-of-support.html). 

Deletes one or more detectors that were created. When a detector is deleted, its state will be cleared and the detector will be removed from the list of detectors. The deleted detector will no longer appear if referenced in the [ListDetectors](https://docs.amazonaws.cn/iotevents/latest/apireference/API_iotevents-data_ListDetectors.html) API call.

## Request Syntax
<a name="API_iotevents-data_BatchDeleteDetector_RequestSyntax"></a>

```
POST /detectors/delete HTTP/1.1
Content-type: application/json

{
   "detectors": [ 
      { 
         "detectorModelName": "string",
         "keyValue": "string",
         "messageId": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_iotevents-data_BatchDeleteDetector_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_iotevents-data_BatchDeleteDetector_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [detectors](#API_iotevents-data_BatchDeleteDetector_RequestSyntax) **   <a name="iotevents-iotevents-data_BatchDeleteDetector-request-detectors"></a>
The list of one or more detectors to be deleted.  
Type: Array of [DeleteDetectorRequest](API_iotevents-data_DeleteDetectorRequest.md) objects  
Array Members: Minimum number of 1 item.  
Required: Yes

## Response Syntax
<a name="API_iotevents-data_BatchDeleteDetector_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "batchDeleteDetectorErrorEntries": [ 
      { 
         "errorCode": "string",
         "errorMessage": "string",
         "messageId": "string"
      }
   ]
}
```

## Response Elements
<a name="API_iotevents-data_BatchDeleteDetector_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [batchDeleteDetectorErrorEntries](#API_iotevents-data_BatchDeleteDetector_ResponseSyntax) **   <a name="iotevents-iotevents-data_BatchDeleteDetector-response-batchDeleteDetectorErrorEntries"></a>
A list of errors associated with the request, or an empty array (`[]`) if there are no errors. Each error entry contains a `messageId` that helps you identify the entry that failed.  
Type: Array of [BatchDeleteDetectorErrorEntry](API_iotevents-data_BatchDeleteDetectorErrorEntry.md) objects

## Errors
<a name="API_iotevents-data_BatchDeleteDetector_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalFailureException **   
An internal failure occurred.    
 ** message **   
The message for the exception.
HTTP Status Code: 500

 ** InvalidRequestException **   
The request was invalid.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** ServiceUnavailableException **   
The service is currently unavailable.    
 ** message **   
The message for the exception.
HTTP Status Code: 503

 ** ThrottlingException **   
The request could not be completed due to throttling.    
 ** message **   
The message for the exception.
HTTP Status Code: 429

## See Also
<a name="API_iotevents-data_BatchDeleteDetector_SeeAlso"></a>

For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/iotevents-data-2018-10-23/BatchDeleteDetector) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/iotevents-data-2018-10-23/BatchDeleteDetector) 
+  [Amazon SDK for C\$1\$1](https://docs.amazonaws.cn/goto/SdkForCpp/iotevents-data-2018-10-23/BatchDeleteDetector) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/iotevents-data-2018-10-23/BatchDeleteDetector) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/iotevents-data-2018-10-23/BatchDeleteDetector) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/iotevents-data-2018-10-23/BatchDeleteDetector) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/iotevents-data-2018-10-23/BatchDeleteDetector) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/iotevents-data-2018-10-23/BatchDeleteDetector) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/iotevents-data-2018-10-23/BatchDeleteDetector) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/iotevents-data-2018-10-23/BatchDeleteDetector) 